## cairo-dock-plug-ins 3.3.99.beta1.2.really.3.3.2

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "3.3.2")

add_definitions (-std=c99 -Wall -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
if (NOT DEFINED CMAKE_BUILD_TYPE)
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

if ("${PACKAGEMENT}" STREQUAL "") ## do not check if we're using the same version when packaging the application (e.g. if we just want to generate a tarball of a previous version)
	# we need GLDI which contains most global var: check it now to avoid many errors with regex
	pkg_check_modules (GLDI REQUIRED gldi=${VERSION})
	if (NOT GLDI_FOUND)
		execute_process(
			COMMAND pkg-config --modversion gldi  # 2.2.0-3
			OUTPUT_VARIABLE dock_version)
		if (NOT "${PACKAGEMENT}" STREQUAL "")
			STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
		endif ()
		MESSAGE (FATAL_ERROR "Error: version mismatch with the core: ${VERSION} <> ${dock_version}")
	endif ()
endif ()

set (dock_version ${VERSION}) # should be the same except if PACKAGEMENT is set

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir  # /usr/lib/cairo-dock # or /usr/lib/x86_64-linux-gnu/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # remove the \n
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# get prefix dir
execute_process(
    COMMAND pkg-config gldi --variable=prefix  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE prefix)
STRING (REGEX REPLACE "\n" "" prefix ${prefix})
# get GTK version (must be the same as the core, as GTK2 and GTK3 can't coexist at runtime)
execute_process(
    COMMAND pkg-config gldi --variable=gtkversion  # 2 or 3
    OUTPUT_VARIABLE gtkversion)
STRING (REGEX REPLACE "\n" "" gtkversion ${gtkversion})

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib # or /usr/lib/x86_64-linux-gnu
GET_FILENAME_COMPONENT(datadir "${pluginsdatadir}/../.." ABSOLUTE)  # /usr/share
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" STREQUAL "${libdir}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "${datadir}")
	message (STATUS "It seems that the current CMAKE_INSTALL_{PREFIX,LIBDIR,DATAROOTDIR} flags are not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (gaugesdir "${datadir}/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")


###########     Misc     ###############
macro (enable_if_not_defined MODULE1)
	if (NOT DEFINED ${MODULE1}) # true if not defined
		set (${MODULE1} TRUE)
	endif ()
endmacro (enable_if_not_defined)


##########     Config    ###############

enable_if_not_defined (force-icon-in-menus)
if (force-icon-in-menus)  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=yes" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()


########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependencies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "gldi")  # we check first the common libs that most plug-ins would need: basically, all the libs used by the core.
STRING (REGEX REPLACE "gldi;" "" PACKAGE_LIBRARIES "${PACKAGE_LIBRARIES}")  # but we don't want to link to gldi, since we are dl-opened by it.

# add_definitions (-DGTK_DISABLE_DEPRECATED="1")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# SHARED-FILES #################
set (shared_filesdatadir "${pluginsdatadir}/shared-files")
add_subdirectory (shared-files)

############# STATIC LIBRARIES ################
message (STATUS "> Static Libraries:")

############# GVFS-INTEGRATION ################
message (STATUS "> GVFS-Integration:")
pkg_check_modules ("LIBGIO" "gio-2.0") ## GIO is used by a few applets: do not offer the possibility to not disable it
add_subdirectory (gvfs-integration)

############# INDICATOR-APPLET #################
message (STATUS "> Indicator-Applet:")
enable_if_not_defined (enable-dbusmenu-support)
if (enable-dbusmenu-support)
	# Note: the names of dbusmenu-glib, dbusmenu-gtk and indicator have changed...
	## DBusMenu Glib
	set (DBUSMENU_MODULE dbusmenu-glib-0.4)
	pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
	if (NOT DBUSMENU_FOUND)
		set (DBUSMENU_MODULE dbusmenu-glib)
		pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 0) # doesn't have 'hint' with old version
	else ()
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 1) # now the ApplicationAdded signal (Status-Notifier) has a new parameter (hint) => https://code.launchpad.net/~ted/indicator-application/name-hints/+merge/67213
	endif()

	## DBusMenu Gtk
	if (gtkversion EQUAL 2)
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk-0.4)
	else()
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk3-0.4)
	endif()
	pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	if (NOT DBUSMENU_GTK_FOUND)
		if (gtkversion EQUAL 2)
			set (DBUSMENU_GTK_MODULE dbusmenu-gtk)
		else()
			set (DBUSMENU_GTK_MODULE dbusmenu-gtk3)
		endif()
		pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	endif()
endif()

## Indicator
enable_if_not_defined (enable-indicator-support)
if (enable-indicator-support)
	if (gtkversion EQUAL 2)
		set (INDICATOR_APPLET_MODULE indicator-0.4)
	else()
		set (INDICATOR_APPLET_MODULE indicator3-0.4)
	endif()
	pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	if (INDICATOR_APPLET_FOUND)
		set (INDICATOR_NEW_VERSION TRUE)  # oneiric and newer
	else()
		if (gtkversion EQUAL 2)
			set (INDICATOR_APPLET_MODULE indicator)
		else()
			set (INDICATOR_APPLET_MODULE indicator3)
		endif()
		pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	endif()
endif()

## libido
enable_if_not_defined (enable-libido-support)
if (enable-libido-support)
	if (gtkversion EQUAL 2)
		set (IDO_MODULE libido-0.1)
	else()
		set (IDO_MODULE libido3-0.1)
	endif()
	pkg_check_modules (IDO ${IDO_MODULE})
	if (IDO_FOUND)
		STRING (REGEX REPLACE "\\..*" "" IDO_MAJOR "${IDO_VERSION}")
		STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" IDO_MINOR "${IDO_VERSION}")  # 0.1.7 => 1.7
		STRING (REGEX REPLACE "\\.[0-9]*" "" IDO_MINOR "${IDO_MINOR}")
		if (${IDO_MAJOR} GREATER 13
		    OR ${IDO_MAJOR} EQUAL 13 AND ${IDO_MINOR} GREATER 9)
			set (INDICATOR_NG 1)
		endif()
	endif()
endif()

## Extract versions of DBusMenu
if (DBUSMENU_FOUND AND DBUSMENU_GTK_FOUND)
	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_MAJOR "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_MINOR "${DBUSMENU_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_MINOR "${DBUSMENU_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_NANO "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_NANO "${DBUSMENU_NANO}")

	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_GTK_MAJOR "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_NANO}")
	
	if (${DBUSMENU_GTK_MAJOR} GREATER 0 OR ${DBUSMENU_GTK_MINOR} GREATER 5
	    OR (${DBUSMENU_GTK_MINOR} EQUAL 5 AND ${DBUSMENU_GTK_NANO} GREATER 89))
		set (DBUSMENU_GTK3_NEW 1)
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 1) # Status-Notifier: new parameter "Title" in the "added" signal since Precise
	else()
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 0)
	endif()
endif()

## Extract version of indicator
if (INDICATOR_APPLET_FOUND)
	STRING (REGEX REPLACE "\\..*" "" INDICATOR_MAJOR "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" INDICATOR_MINOR "${INDICATOR_APPLET_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" INDICATOR_MINOR "${INDICATOR_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" INDICATOR_NANO "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "-.*" "" INDICATOR_NANO "${INDICATOR_NANO}")
	
	if (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 4
	    OR (${INDICATOR_MINOR} EQUAL 4 AND ${INDICATOR_NANO} GREATER 89))
		set (SOUND_SERVICE_VERSION 1) # Sound-Menu: new DBus path
		set (INDICATOR_MESSAGES_HAS_LOZENGE 1)   # Messaging Menu has 'right-is-lozenge'
	else() # older than Precise.
		set (SOUND_SERVICE_VERSION 0)
		set (INDICATOR_MESSAGES_HAS_LOZENGE 0)
	endif()

	if (INDICATOR_NEW_VERSION)  # oneiric and newer
		if (gtkversion EQUAL 2)
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
			execute_process(
				COMMAND pkg-config --variable=indicatordir indicator3-0.4
				OUTPUT_VARIABLE INDICATORDIR)
			STRING (REGEX REPLACE "\n" "" INDICATORDIR ${INDICATORDIR})
			set (with_indicator3 yes)
			message (STATUS "  Indicators: with Indicator3 support")
		endif()

=== Indicator-applet/CMakeLists.txt ===

SET(impl_SRCS
	indicator-applet.c			indicator-applet.h
)

add_library(indicator-applet STATIC ${impl_SRCS})

# Needed for amd64 architecture
add_definitions (-fPIC)
add_definitions (-DINDICATOR_ICONS_DIR="${INDICATORICONSDIR}")
if (${DBUSMENU_GTK3_NEW})
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS})

########### install files ###############

=== Impulse/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 		applet-config.h
	applet-notifications.c 		applet-notifications.h
	Impulse.c			Impulse.h
	applet-impulse.c 		applet-impulse.h
)

add_library(${PACKAGE_IMPULSE} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${impulsedatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Impulse.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Impulse")
add_definitions (-DMY_APPLET_VERSION="${VERSION_IMPULSE}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_IMPULSE}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (${FFTW3_FOUND})
	message (STATUS "   With FFTW3 support")
	add_definitions (-DFFT_IS_AVAILABLE="1")
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${FFTW3_INCLUDE_DIRS}
	${LIBPULSE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${FFTW3_LIBRARY_DIRS}
	${LIBPULSE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_IMPULSE}
	${PACKAGE_LIBRARIES}
	${FFTW3_LIBRARIES}
	${LIBPULSE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_IMPULSE} DESTINATION ${pluginsdir})

=== MeMenu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-me.c 			applet-me.h
	applet-menu.c 			applet-menu.h
	about-me-menu-item.c		about-me-menu-item.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_MEMENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${memenudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="MeMenu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="MeMenu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MEMENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MEMENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DDBUSMENU_MAJOR=${DBUSMENU_MAJOR})
add_definitions (-DDBUSMENU_MINOR=${DBUSMENU_MINOR})
add_definitions (-DDBUSMENU_NANO=${DBUSMENU_NANO})
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (${DBUSMENU_GTK3_NEW})
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${IDO_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${IDO_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

target_link_libraries (${PACKAGE_MEMENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	${IDO_LIBRARIES}
	indicator-applet)

########### install files ###############

install(TARGETS ${PACKAGE_MEMENU} DESTINATION ${pluginsdir})

=== Screenshot/data/CMakeLists.txt ===

########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Screenshot.conf
	preview.jpg
	icon.svg
	DESTINATION ${screenshotdatadir})

=== Status-Notifier/src/CMakeLists.txt ===

########### sources ###############

SET(cd-StatusNotifier_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-host.c 		applet-host.h
	applet-host-kde.c 	applet-host-kde.h
	applet-host-ias.c 	applet-host-ias.h
	applet-item.c 		applet-item.h
	applet-draw.c 		applet-draw.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)

add_library(${PACKAGE_STATUS_NOTIFIER} SHARED ${cd-StatusNotifier_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${status_notifierdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Status-Notifier.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Status-Notifier")
add_definitions (-DMY_APPLET_VERSION="${VERSION_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
add_definitions (-DINDICATOR_APPLICATIONADDED_HAS_HINT=${INDICATOR_APPLICATIONADDED_HAS_HINT})
add_definitions (-DINDICATOR_APPLICATIONADDED_HAS_TITLE=${INDICATOR_APPLICATIONADDED_HAS_TITLE})
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")
if (${DBUSMENU_GTK3_NEW})
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_STATUS_NOTIFIER}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_STATUS_NOTIFIER} DESTINATION ${pluginsdir})

=== Toons/data/CMakeLists.txt ===
add_subdirectory(themes)

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Toons.conf
	preview.jpg
	icon.png
	DESTINATION ${toonsdatadir})

=== dnd2share/src/CMakeLists.txt ===

########### sources ###############

SET(cd-dnd2share_LIB_SRCS
	applet-backend-codepad.c
	applet-backend-codepad.h
	applet-backend-custom.c
	applet-backend-custom.h
	applet-backend-dropbox.c
	applet-backend-dropbox.h
	applet-backend-free.c
	applet-backend-free.h
	applet-backend-imagebin.c
	applet-backend-imagebin.h
	applet-backend-imageshack.c
	applet-backend-imageshack.h
	applet-backend-imgur.c
	applet-backend-imgur.h
	applet-backend-pastebin.c
	applet-backend-pastebin.h
	applet-backend-pastebin-mozilla.c
	applet-backend-pastebin-mozilla.h
	applet-backend-paste-ubuntu.c
	applet-backend-paste-ubuntu.h
	applet-backend-ubuntuone.c
	applet-backend-ubuntuone.h
	applet-backend-uppix.c
	applet-backend-uppix.h
	applet-backend-videobin.c
	applet-backend-videobin.h
	applet-config.c
	applet-config.h
	applet-dnd2share.c
	applet-dnd2share.h
	applet-init.c
	applet-init.h
	applet-notifications.c
	applet-notifications.h
	applet-struct.h
)

add_library(${PACKAGE_DND2SHARE} SHARED ${cd-dnd2share_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${dnd2sharedatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="dnd2share.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="dnd2share")
add_definitions (-DMY_APPLET_VERSION="${VERSION_DND2SHARE}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_DND2SHARE}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_DND2SHARE}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_DND2SHARE} DESTINATION ${pluginsdir})

=== logout/src/CMakeLists.txt ===

########### sources ###############

SET(cd-logout_LIB_SRCS
	applet-init.c		applet-init.h
	applet-config.c		applet-config.h
	applet-notifications.c	applet-notifications.h
	applet-logout.c		applet-logout.h
	applet-struct.h
)

add_library(${PACKAGE_LOGOUT} SHARED ${cd-logout_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${logoutdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="logout.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="logout")
add_definitions (-DMY_APPLET_VERSION="${VERSION_LOGOUT}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_LOGOUT}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
if (${UPOWER_FOUND})
	add_definitions (-DCD_UPOWER_AVAILABLE="1")
endif()


include_directories (
	${UPOWER_INCLUDE_DIRS}
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${UPOWER_LIBRARY_DIRS}
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_LOGOUT}
	${UPOWER_LIBRARIES}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_LOGOUT} DESTINATION ${pluginsdir})

=== powermanager/src/CMakeLists.txt ===

########### sources ###############

SET(cd-powermanager_LIB_SRCS
	powermanager-struct.h
	powermanager-init.c		powermanager-init.h
	powermanager-draw.c		powermanager-draw.h
	powermanager-config.c		powermanager-config.h
	powermanager-common.c		powermanager-common.h
	powermanager-upower.c		powermanager-upower.h
	powermanager-proc-acpi.c	powermanager-proc-acpi.h
	powermanager-sys-class.c	powermanager-sys-class.h
	powermanager-menu-functions.c	powermanager-menu-functions.h
)

add_library(${PACKAGE_POWERMANAGER} SHARED ${cd-powermanager_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${powermanagerdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="powermanager.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="powermanager")
add_definitions (-DMY_APPLET_VERSION="${VERSION_POWERMANAGER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_POWERMANAGER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
if (${UPOWER_FOUND})
	add_definitions (-DCD_UPOWER_AVAILABLE="1")
endif()

include_directories (
	${UPOWER_INCLUDE_DIRS}
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${UPOWER_LIBRARY_DIRS}
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_POWERMANAGER}
	${UPOWER_LIBRARIES}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_POWERMANAGER} DESTINATION ${pluginsdir})

=== switcher/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/switcher.conf
	broken.svg
	default.svg
	workspaces.svg
	preview.jpg
	DESTINATION ${switcherdatadir})

=== terminal/src/CMakeLists.txt ===

########### sources ###############

SET(cd-terminal_LIB_SRCS
	terminal-init.c
	terminal-init.h
	terminal-config.c
	terminal-config.h
	terminal-menu-functions.c
	terminal-menu-functions.h
	terminal-callbacks.c
	terminal-callbacks.h
	terminal-widget.c
	terminal-widget.h
	terminal-struct.h
)

add_library(${PACKAGE_TERMINAL} SHARED ${cd-terminal_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${terminaldatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="terminal.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="terminal")
add_definitions (-DMY_APPLET_VERSION="${VERSION_TERMINAL}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_TERMINAL}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${TERMINAL_PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${TERMINAL_PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_TERMINAL}
	${PACKAGE_LIBRARIES}
	${TERMINAL_PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_TERMINAL} DESTINATION ${pluginsdir})


#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-terminal.la
#
#
#libcd_terminal_la_SOURCES = 
#	terminal-init.c
#	terminal-init.h
#	terminal-config.c
#	terminal-config.h
#	terminal-menu-functions.c
#	terminal-menu-functions.h
#	terminal-callbacks.c
#	terminal-callbacks.h
#	terminal-widget.c
#	terminal-widget.h
#	terminal-struct.h
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_terminal_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	$(TERMINAL_PACKAGE_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${terminaldatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""terminal.conf""
#	-DMY_APPLET_USER_DATA_DIR=""terminal""
#	-DMY_APPLET_VERSION=""${VERSION_TERMINAL)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_TERMINAL)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.png""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall  -W -Werror
#
#
#libcd_terminal_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm 
#	$(TERMINAL_PACKAGE_LIBS)
#
#
#libcd_terminal_la_LDFLAGS =
#	-avoid-version -module

=== debian/changelog ===
cairo-dock-plug-ins (3.3.99.beta1.2.really.3.3.2-0ubuntu2) trusty; urgency=medium

  * debian/patches/bzr3070_Status-Notifier_workaround_was_broken_due_to_
    DBus_API_change.patch:
    - Status-Notifier was broken on Ubuntu 14.04 due to a DBus API change
      in Indicator-Application (LP: #1303731)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Wed, 09 Apr 2014 00:00:14 +0200

cairo-dock-plug-ins (3.3.99.beta1.2.really.3.3.2-0ubuntu1) trusty; urgency=medium

  * Revert back to the 3.3.2 version: (LP: #1302246)
    Unfortunately, due to the lack of time, we have to revert back to the
    latest stable version. Sorry for that but feel free to help us ;-)
  * debian/patches: cherry-pick patches from upstream BZR repo, all 'bug-fix'
    and changes that were already in the 3.3.99.beta1 version except all
    changes linked to the new style, the menu and the configuration.
    - bzr3008_GMenu_new_apps_in_the_list.patch: GMenu: New Apps: if there are
      new apps when the 'new apps' dialogue is opened, add these new apps in
      the list
    - bzr3010_GMenu_option_hide_new_apps_dialogue.patch: GMenu: Config: Added
      the possibility to not display notification to quickly launch new apps
    - bzr3021_Terminal_launch_default_terminal_middle_click.patch: Terminal:
      middle click: launch the default terminal
    - bzr3031-3032_GMenu_remove_empty_submenus.patch: GMenu: do not add empty
      submenus when creating them and remove empty submenus
    - bzr3035_DND2Share_History_was_empty.patch: DnD2Share: history menu was
      empty
    - bzr3036-3040_Shortcuts_removed_disk_usage_on_bookmarks_and_support_
      x-nautilus_URI.patch: Shortcuts: correctly removed an old bookmark ;
      added support for x-nautilus-(...) URI ; avoid duplicated code +
      bookmarks doesn't have a disk usage ; translated a few sentences from
      French to English
    - bzr3043_Fixed_typo_with_some_sentences.patch: Fixed typo with some
      sentences which were not correctly translated
    - bzr3045-3046_GVFS_support_x-nautilus-desktop_and_fixed_typos_and_memory_
      leaks.patch: gvfs: fixed typo and tiny memory leak ; GTK3: 'x-nautilus-
      desktop' is just an URI where the root is the path to the desktop
    - bzr3047-3048_Status-Notifier_Added_support_of_middle_click_and_scroll:
      Status-Notifier: IAS (ubuntu): added the support of the middle click ;
      Scroll signals were not catched
    - bzr3051_Logout_Added_support_of_Cinnamon.patch: logout: added support of
      Cinnamon
    - bzr3057_GMenu_new_apps_show_dialog_after_installation.patch: GMenu: new
      apps: show the dialog only after the end of the installation
    - bzr3065_Impulse_do_not_redraw_icon_when_not_needed.patch: Impulse: stop
      animations: do not redraw the icon if it's not needed (e.g. when
      disabling the applet)
    - bzr3067_AlsaMixer_support_cinnamon_settings.patch: AlsaMixer: added the
      support of cinnamon-settings
    - bzr3068_Clock_fixed_a_crash_when_configuring_when_not_enabled.patch:
      Clock: fixed a crash when configuring the applet if it's not activated
    - bzr3069_Indicator_Generic_no_need_to_hide_the_icon_before_removing_it:
      Indicator Generic: stop: no need to hide the icon before removing it
  * debian/control: bumped Core versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 07 Apr 2014 00:48:03 +0200

cairo-dock-plug-ins (3.3.99.beta1.1~20140219~bzr3061-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - All: updated due to recent API changes and changes in the global style
    - GMenu:
      - Do not create empty menus
      - Show the dialogue to open a new after after the end of the installation
      - Added an option to not show this dialogue
    - Gnome: support Cinnamon logout
    - Logout: display a message to reboot the system after the end of the update
    - Shortcut: improve the support of bookmarks
    - Status-Notifier: support scroll events
    - Terminal: open terminal on middle click
    - Some bugs have been fixed (LP: #1253654), other tweaks
  * debian/control:
    - Bumped Cairo-Dock (core) versions
    - Bumped Standard Version (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Wed, 19 Feb 2014 23:53:46 +0100

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@ubuntu.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: cdbs,
               cli-common-dev (>= 0.7),
               cmake,
               debhelper (>= 8.1.3),
               libasound2-dev,
               libcairo2-dev (>= 1.8.0),
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libdbusmenu-glib-dev,
               libdbusmenu-gtk3-dev,
               libetpan-dev,
               libexif-dev,
               libgl1-mesa-dev | libgl-dev,
               libgldi-dev (>= 3.3.99.beta1.2.really.3.3.2),
               libglib2.0-cil-dev,
               libglib2.0-dev (>= 2.20),
               libglu1-mesa-dev | libglu-dev,
               libgnome-menu-3-dev,
               libgnutls-dev,
               libgtk-3-dev,
               libical-dev (>= 1.0),
               libido3-0.1-dev,
               libindicator3-dev,
               libndesk-dbus-glib1.0-cil-dev,
               libndesk-dbus1.0-cil-dev,
               libpango1.0-dev,
               libpulse-dev,
               librsvg2-dev (>= 2.22.0),
               libsensors4-dev,
               libupower-glib-dev,
               libvte-2.90-dev,
               libwebkitgtk-3.0-dev,
               libxklavier-dev,
               libxml2-dev,
               libxtst-dev,
               libxxf86vm-dev,
               libzeitgeist-2.0-dev,
               mono-devel,
               mono-gmcs,
               python,
               python3,
               ruby,
               valac,
               x11proto-xf86vidmode-dev
Standards-Version: 3.9.5
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.3.99.beta1.2.really.3.3.2),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: gvfs
Multi-Arch: same
Description: Plug-ins for Cairo-Dock for a better integration in GNOME, KDE and Xfce
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains plug-ins for a better integration in GNOME, KDE and Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.3.99.beta1.2.really.3.3.2),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         curl,
         python,
         wget,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: cairo-dock-plug-ins-dbus-interface-python (>= ${source:Version}),
            cairo-dock-plug-ins-integration (>= ${source:Version})
Suggests: alacarte,
          cairo-dock-plug-ins-dbus-interface-mono (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-ruby (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-vala (>= ${source:Version}),
          compiz,
          gnote,
          indicator-bluetooth,
          indicator-messages,
          indicator-network,
          indicator-printers,
          indicator-sound,
          indicator-sync
Provides: indicator-renderer
Multi-Arch: same
Description: Set of plug-ins for Cairo-Dock
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-data (<< 3.0.0.1), cairo-dock-plug-ins (<= 2.0.8.0)
Breaks: cairo-dock-data (<< 3.0.0.1)
Depends: ${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for
 cairo-dock-plug-ins.

Package: cairo-dock-plug-ins-dbus-interface-python
Section: graphics
Architecture: all
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), python, ${misc:Depends}
Description: Python interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Python interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-vala
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0),
          cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0),
        cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: valac
Multi-Arch: same
Description: Vala interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Vala interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-ruby
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), ruby, ${misc:Depends}
Description: Ruby interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Ruby interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-mono
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends}
Description: Mono interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Mono interface for the DBus plug-in.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable-gnome-integration=ON \
	-Denable-old-gnome-integration=OFF \
	-Denable-kde-integration=ON \
	-Denable-xfce-integration=ON \
	-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
DEB_BUILD_PARALLEL = yes

common-binary-predeb-arch::
	dh_clifixperms
	dh_clideps -d

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack

=== debian/watch ===
version=3
https://launchpad.net/cairo-dock-plug-ins/+download .*/cairo-dock-plugins-([\d\.]+(?:.*)?).tar.gz
